Recommended update for python packages

SUSE Recommended Update: Recommended update for python packages
Announcement ID: SUSE-RU-2019:0614-1
Rating: moderate
References: #1121524
Affected Products:
  • SUSE OpenStack Cloud Crowbar 8
  • SUSE OpenStack Cloud 8
  • HPE Helion Openstack 8

An update that has one recommended fix can now be installed.

Description:

This update provides python fixes for the following issues:
python-vmware-nsx:

  • NSX-V3: Add agent config to FWaaSV2 callbacks
  • NSXv: use admin context for metadata port config
  • Add missing python-mock Requires (bsc#1121524)
  • LBaaS legacy mode bugfix
  • NSX|V3 Support non-overlay networks with DHCP
  • NSX|V3 update port revision on update_port response
  • NSX|V+V3 QoS rbac support

python-sushy:
  • Zuul: Remove project name
  • Add Zuul v3 jobs in tree
  • Use the tempest plugin from openstack/ironic-tempest-plugin
  • Mark Systems/Managers/SessionService optional
  • Avoid tox_install.sh for constraints support
  • zuul: clean up job definition
  • Change BootSourceOverrideMode from BIOS to Legacy
  • Import zuul job settings from project-config

python-pytest:
  • The ``pytest-warnings`` plugin has been integrated into the core and now ``pytest`` automatically captures and displays warnings at the end of the test session.
  • Added ``junit_suite_name`` ini option to specify root ```` name for JUnit XML reports
  • Added an ini option ``doctest_encoding`` to specify which encoding to use for doctest files.
  • ``pytest.warns`` now checks for subclass relationship rather than class equality.
  • ``pytest.raises`` now asserts that the error message matches a text or regex with the ``match`` keyword argument.
  • ``pytest.param`` can be used to declare test parameter sets with marks and test ids.

python-oslo.db:
  • update to version 4.25.2
  • Fix sphinx-docs job for stable branch
  • Import zuul job settings from project-config
  • Reverse role of synchronous_reader
  • Use the new PTI for document build

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE OpenStack Cloud Crowbar 8:
    zypper in -t patch SUSE-OpenStack-Cloud-Crowbar-8-2019-614=1
  • SUSE OpenStack Cloud 8:
    zypper in -t patch SUSE-OpenStack-Cloud-8-2019-614=1
  • HPE Helion Openstack 8:
    zypper in -t patch HPE-Helion-OpenStack-8-2019-614=1

Package List:

  • SUSE OpenStack Cloud Crowbar 8 (noarch):
    • python-oslo.db-4.25.2-3.3.1
    • python-pytest-3.1.3-3.3.1
    • python-sushy-1.1.1-3.3.1
    • python-vmware-nsx-11.0.3~dev24-3.6.2
  • SUSE OpenStack Cloud 8 (noarch):
    • python-oslo.db-4.25.2-3.3.1
    • python-pytest-3.1.3-3.3.1
    • python-sushy-1.1.1-3.3.1
    • python-vmware-nsx-11.0.3~dev24-3.6.2
  • HPE Helion Openstack 8 (noarch):
    • python-oslo.db-4.25.2-3.3.1
    • python-pytest-3.1.3-3.3.1
    • python-sushy-1.1.1-3.3.1
    • python-vmware-nsx-11.0.3~dev24-3.6.2

References: